#include <Wire.h>

int pulsantePin = 2;
int ledPin = 9;

void setup(){
  Wire.begin(7);
  Wire.onRequest(rispondi);
  Wire.onReceive(ricevi);
  pinMode(pulsantePin, INPUT);
  pinMode(ledPin, OUTPUT);
}

void loop(){
  delay(1000);
}

void rispondi(){
  if(digitalRead(pulsantePin) == HIGH){
    Wire.write("si");
  }else{
    Wire.write("no");
  }
}

void ricevi(){
  String comando = "";
  while(Wire.available()){
    comando += char(Wire.read());
  }

  if(comando == "accendi"){
    digitalWrite(ledPin, HIGH);
  }else if(comando == "spegni"){
    digitalWrite(ledPin, LOW);
  }
}
